Update sequence
curl --request PUT \
--url https://inboxapp.com/api/v1/campaigns/{campaignId}/sequence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"steps": [
{
"type": "message",
"data": {
"segments": [
{
"type": "variation",
"options": [
"Hey",
"Hi",
"What's up"
]
},
{
"type": "static",
"text": " "
},
{
"type": "variable",
"name": "first-name",
"fallback": "there"
},
{
"type": "static",
"text": ", saw your work at "
},
{
"type": "variable",
"name": "custom_q5cktl47a6pqa74eu06fz89v",
"fallback": "your company"
},
{
"type": "static",
"text": " — would love to connect. Open to a quick chat?"
}
]
}
},
{
"type": "delay",
"data": {
"delaySeconds": 86400,
"unit": "days"
}
},
{
"type": "message",
"data": {
"segments": [
{
"type": "static",
"text": "Hey, just following up — would love to hear your thoughts!"
}
]
}
}
]
}
EOFimport requests
url = "https://inboxapp.com/api/v1/campaigns/{campaignId}/sequence"
payload = { "steps": [
{
"type": "message",
"data": { "segments": [
{
"type": "variation",
"options": ["Hey", "Hi", "What's up"]
},
{
"type": "static",
"text": " "
},
{
"type": "variable",
"name": "first-name",
"fallback": "there"
},
{
"type": "static",
"text": ", saw your work at "
},
{
"type": "variable",
"name": "custom_q5cktl47a6pqa74eu06fz89v",
"fallback": "your company"
},
{
"type": "static",
"text": " — would love to connect. Open to a quick chat?"
}
] }
},
{
"type": "delay",
"data": {
"delaySeconds": 86400,
"unit": "days"
}
},
{
"type": "message",
"data": { "segments": [
{
"type": "static",
"text": "Hey, just following up — would love to hear your thoughts!"
}
] }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
type: 'message',
data: {
segments: [
{type: 'variation', options: ['Hey', 'Hi', 'What\'s up']},
{type: 'static', text: ' '},
{type: 'variable', name: 'first-name', fallback: 'there'},
{type: 'static', text: ', saw your work at '},
{
type: 'variable',
name: 'custom_q5cktl47a6pqa74eu06fz89v',
fallback: 'your company'
},
{type: 'static', text: ' — would love to connect. Open to a quick chat?'}
]
}
},
{type: 'delay', data: {delaySeconds: 86400, unit: 'days'}},
{
type: 'message',
data: {
segments: [
{
type: 'static',
text: 'Hey, just following up — would love to hear your thoughts!'
}
]
}
}
]
})
};
fetch('https://inboxapp.com/api/v1/campaigns/{campaignId}/sequence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 4,
"steps": [
{
"id": "w3x4y5z6a7b8c9d0e1f2g3h4",
"rank": 0,
"type": "message",
"data": {
"segments": [
{
"type": "static",
"text": "<string>"
}
]
}
}
]
}Campaigns
Update sequence
Replace the entire sequence with a new set of steps. Creates a new version; previous versions are preserved for historical reference. The server assigns step IDs and ranks from array order. Message steps can use variables — see Create column to set up custom variables.
PUT
/
campaigns
/
{campaignId}
/
sequence
Update sequence
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the campaign.
Pattern:
^[0-9a-z]+$Example:
"usdjpdql3f90seqk13rwuo7z"
Body
application/json
Ordered list of steps for the new sequence. Step IDs and ranks are assigned by the server based on array position.
- Message step
- Delay step
- Like tweet step
Show child attributes
Show child attributes
Example:
[
{
"type": "message",
"data": {
"segments": [
{
"type": "variation",
"options": ["Hey", "Hi", "What's up"]
},
{ "type": "static", "text": " " },
{
"type": "variable",
"name": "first-name",
"fallback": "there"
},
{
"type": "static",
"text": ", saw your work at "
},
{
"type": "variable",
"name": "custom_q5cktl47a6pqa74eu06fz89v",
"fallback": "your company"
},
{
"type": "static",
"text": " — would love to connect. Open to a quick chat?"
}
]
}
},
{
"type": "delay",
"data": { "delaySeconds": 86400, "unit": "days" }
},
{
"type": "message",
"data": {
"segments": [
{
"type": "static",
"text": "Hey, just following up — would love to hear your thoughts!"
}
]
}
}
]
Was this page helpful?